PostgreSQL的C++客户端包 libpqxx

BSD
C/C++
跨平台
2009-07-21
红薯

libpqxx 是一个用来访问和操作 PostgreSQL 数据库的 C++ 客户端类库。

示例代码:

using namespace pqxx;
connection Conn("dbname=test");
work Xaction(Conn, "DemoTransaction");
// (Queries)
Xaction.commit();

加载中

评论(0)

暂无评论

libpqxx 4.0.1 发布,PostgreSQL 的 C++ 开发包

libpqxx 4.0.1 是一个小更新版本,主要是兼容最新的编译器、C++11 和不同的操作系统;该版本同时也支持 REPEATABLE READ 的事务隔离级别。 libpqxx 是一个用来访问和操作 PostgreSQL 数据库的...

2013/01/21 15:32

libpqxx 4.0 发布,PostgreSQL的C++开发包

libpqxx 4.0 包含多项改进简单改进,值得注意的是验证了使用 Visual C++ 编译的可行性。 libpqxx 是一个用来访问和操作 PostgreSQL 数据库的 C++ 客户端类库。 示例代码: using namespace ...

2011/11/28 07:12

没有更多内容

加载失败,请刷新页面

没有更多内容

暂无问答

重新安装centos6.4,用virtualenvwapper配置开发环境

因为开发了多个Django项目,有CMS,ERP,SCADA。分别用的不同版本,搞的virtualenv有些混乱,所以重新安装,用virtualenvwapper隔离开。

2014/03/08 04:01
1K
1
ubuntu14.04下使用libpq++

Postgres的c++接口早就改为libpqxx,libpq++在ubuntu14.04下不能编译通过,为了使用libpq++需要做一些修改 一、下载libpq++-4.0.tar.gz并解压 http://download.chinaunix.net/download/00060...

2014/09/27 09:00
95
0
试用PostgreSQL+psycopg2+SQLAlchemy

因为想添加个gis功能模块,看django推荐gis用PostgreSQL数据库,拿来psycopg2试用下,安装的时候有几个注意的小问题。

2014/02/27 02:03
2.5K
1
mac下安装Python3.*(最新版本)

前言:mac系统自带python,不过以当前mac系统的最新版本为例,自带的python版本都是2.*版本,虽然不影响老版本项目的运行,但是python最新的3.*版本的一些语法与2.*版本并不相同,网上的教程...

2018/11/17 15:25
1
0

没有更多内容

加载失败,请刷新页面

没有更多内容

返回顶部
顶部